integer_sort.hpp File Reference
`#include <algorithm>`
`#include <vector>`
`#include <cstring>`
`#include <limits>`
`#include <boost/static_assert.hpp>`
`#include <boost/sort/spreadsort/detail/constants.hpp>`
`#include <boost/sort/spreadsort/detail/integer_sort.hpp>`

Go to the source code of this file.

## Namespaces

| boost
| boost::sort

## Functions

template<class RandomAccessIter >
void | boost::sort::integer_sort (RandomAccessIter first, RandomAccessIter last)
| Integer sort algorithm using random access iterators. (All variants fall back to `std::sort` if the data size is too small, < `detail::min_sort_size`). More...
template<class RandomAccessIter , class Right_shift , class Compare >
void | boost::sort::integer_sort (RandomAccessIter first, RandomAccessIter last, Right_shift shift, Compare comp)
| Integer sort algorithm using random access iterators with both right-shift and user-defined comparison operator. (All variants fall back to `std::sort` if the data size is too small, < `detail::min_sort_size`). More...
template<class RandomAccessIter , class Right_shift >
void | boost::sort::integer_sort (RandomAccessIter first, RandomAccessIter last, Right_shift shift)
| Integer sort algorithm using random access iterators with just right-shift functor. (All variants fall back to `std::sort` if the data size is too small, < `detail::min_sort_size`). More...